Not able to install ganache

0 votes

I am getting a "Checkpermission" error on executing the below command

npm install -g ganache-cli

I tried running it as sudo, but didn't get installed. Any other way to install ganache?

Feb 8, 2019 in Blockchain by Siri
435 views

1 answer to this question.

0 votes

There is an alternative method. You can download ganache from the below link

https://github.com/trufflesuite/ganache/releases/download/v1.2.2/ganache-1.2.2-x86_64.AppImage

After it has downloaded execute the below command in terminal

cd Downloads
sudo chmod a + x  ganache-1.2.2-x86_64.AppImage

Now search for ganache and double click on it and press yes on the pop-up box. Ganache GUI will be started.

answered Feb 8, 2019 by Omkar
• 69,030 points

Related Questions In Blockchain

0 votes
1 answer

Not able to install truffle using npm install -g truffle

You need root access to install truffle, ...READ MORE

answered Nov 29, 2018 in Blockchain by Omkar
• 69,030 points
1,263 views
+1 vote
2 answers

Not able to install Solidity in Ubuntu

As far as I can understand the ...READ MORE

answered Nov 26, 2019 in Blockchain by DeadShotOne96
493 views
0 votes
1 answer

Not able to install Multichain

Hi. It seems you have changed some ...READ MORE

answered Dec 28, 2018 in Blockchain by Omkar
• 69,030 points
64 views
–1 vote
1 answer

Not able to install truffle

I know this is very frustrating, I ...READ MORE

answered Jan 17, 2019 in Blockchain by Omkar
• 69,030 points
1,058 views
0 votes
1 answer

Truffle tests not running after truffle init

This was a bug. They've fixed it. ...READ MORE

answered Sep 11, 2018 in Blockchain by Christine
• 15,810 points
410 views
0 votes
1 answer
0 votes
1 answer

Protocols used in a distributed/dlt system for the nodes to establish communication

yes all are over TCP/IP connections secured by TLS encryption in hashgraph architecture-hashgraph, ...READ MORE

answered Aug 6, 2018 in Blockchain by aryya
• 7,380 points
277 views
0 votes
1 answer

Hyperledger Composer: not able to install Hyperledger composer-cli

Try setting the PATH like this, export PATH="/usr/local/share/npm/bin:$PATH" Now run the ...READ MORE

answered Oct 31, 2018 in Blockchain by Omkar
• 69,030 points
550 views
0 votes
1 answer

Hyperledger Fabric: Not able to install docker

Clean up the invalid package repository: cd ../../etc/apt/sources.list.d sudo ...READ MORE

answered Nov 2, 2018 in Blockchain by Omkar
• 69,030 points
260 views